# ©2023, ANSYS Inc. Unauthorized use, distribution or duplication is prohibited.

import sys

from typing import List

from ansys.saf.glow.solution.products.config import PimProductConfiguration, PimProductConfigurationBuilder


class OptislangConfigBuilder(PimProductConfigurationBuilder):
    def get_configurations(self) -> List[PimProductConfiguration]:
        return [
            PimProductConfiguration(
                "legacy-osl",
                str(sys.executable),
                arguments=["-m", "uvicorn", "ansys.solutions.oscillator_calibration.osl_wrapper:app", "--port", "${AENEID_PORT_HTTP}", "--host", "0.0.0.0"],
                service_name="http",
                service_type="http",
            )
        ]
