# ©2023, ANSYS Inc. Unauthorized use, distribution or duplication is prohibited.

"""Solution definition module."""

from ansys.saf.glow.solution import Solution, StepsModel

from ansys.solutions.oscillator_calibration.solution.command_step import CommandStep
from ansys.solutions.oscillator_calibration.solution.help_step import HelpStep
from ansys.solutions.oscillator_calibration.solution.monitoring_step import MonitoringStep
from ansys.solutions.oscillator_calibration.solution.problem_setup_step import ProblemSetupStep
from ansys.solutions.oscillator_calibration.solution.result_files_step import ResultFilesStep
from ansys.solutions.oscillator_calibration.solution.system_files_download_step import SystemFilesDownloadStep


class Steps(StepsModel):
    """Workflow definition."""

    help_step: HelpStep
    problem_setup_step: ProblemSetupStep
    monitoring_step: MonitoringStep
    result_files_step: ResultFilesStep
    command_step: CommandStep
    system_files_download_step: SystemFilesDownloadStep


class Oscillator_CalibrationSolution(Solution):
    """Solution definition."""

    display_name: str = "oscillator_calibration"
    steps: Steps
