# ©2023, ANSYS Inc. Unauthorized use, distribution or duplication is prohibited.

from ansys.saf.glow.solution import AssetFileReference, FileReference, StepModel, StepSpec, transaction


class HelpStep(StepModel):
    doc_file_input: AssetFileReference = AssetFileReference("Problem_Setup/doc.md")
    doc_file: FileReference = FileReference("Problem_Setup/doc_for_ui.md")

    @transaction(
        self=StepSpec(
            download=["doc_file_input"],
            upload=["doc_file"],
        )
    )
    def prepare_doc_file(self):
        """Copies the content of the doc.md asset file into a FileReference, such that it can be read from the UI."""

        self.doc_file.write_bytes(self.doc_file_input.read_bytes())
