# ©2023, ANSYS Inc. Unauthorized use, distribution or duplication is prohibited.

"""Frontend of the scenery view."""

import optislang_dash_lib

from dash_extensions.enrich import html

from ansys.solutions.oscillator_calibration.solution.monitoring_step import MonitoringStep
from ansys.solutions.oscillator_calibration.utilities.common_functions import try_deserialize


def layout(monitoring_step: MonitoringStep) -> html.Div:
    """Layout of the scenery view."""

    full_project_status_info = try_deserialize(monitoring_step.full_project_status_information)

    if full_project_status_info:
        return html.Div(
            [
                html.Br(),
                html.Div(
                    [
                        optislang_dash_lib.SceneryComponent(
                            id="input",
                            project_state=full_project_status_info,
                        ),
                    ]
                ),
            ]
        )
    else:
        return html.Div([])
